Subject: [os2genau_digest] No. 2090
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 7 Jan 2013 00:00:50 WST-8WST,10,1,0,7200,4,1,0,7200,0

**************************************************
Sunday 06 January 2013
 Number  2090
**************************************************

Subjects for today
 
1  Re:  Firefox problem : Paul Smedley <paul at smedley dot id dot au>
2  Re:  Merry Christmas and a great 2013... : Voytek Eymont" <voytek at sbt dot net dot au>
3  Re:  Merry Christmas and a great 2013... : Voytek Eymont" <voytek at sbt dot net dot au>
4  Re:  Merry Christmas and a great 2013... : Peter Moylan <peter at pmoylan dot org>
5   PC Merry Christmas and a great 2013... : Voytek Eymont" <voytek at sbt dot net dot au>
6  Re:  Firefox problem : Andrew MacIntyre <andymac at bullseye.apana dot org dot au>
7  Re:  Firefox problem : Peter Moylan <peter at pmoylan dot org>
8  Re:  Firefox problem : dennis Nolan <dennis at jeg-og dot com>

**= Email   1 ==========================**

Date:  Sun, 06 Jan 2013 06:27:41 +1030
From:  Paul Smedley <paul at smedley dot id dot au>
Subject:  Re:  Firefox problem

Hi Peter,

On 05/01/13 22:31, Peter Moylan wrote:
> I had to release an update, even though I know it will only trigger new
> demands from Massimo.

LOL!!!!!!!!!!!!!!!!!!!!!!!!!!

Cheers,

Paul
--------------------------------------------------
 
===
**= Email   2 ==========================**

Date:  Sun, 6 Jan 2013 09:00:16 +1100
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  Merry Christmas and a great 2013...

On Sat, January 5, 2013 6:29 pm, Glenn Montgomery wrote:
> Hi All,
>
>
> Hope your Christmas was great and wishing you all a "Happy New Year"8-)
> Yes a bit late, but ...
>
>
> And Voytek,
>
>
> It's been a while but I have missed your once-regular "Merry Christmas"
> email which I think hasn't been sent out for a couple of years.
>
> I know it's kinda late but, would you be able to indulge at all?? I used
> to get quite a chuckle out of it.

Glenn

thanks! same to you

I though everyone got sick of them, 'not again his moronic ravings...' ?

OK, I'll try to find it...
the greetings for the generally accepted start of new year...

-- 
Voytek

--------------------------------------------------
 
**= Email   3 ==========================**

Date:  Sun, 6 Jan 2013 09:03:56 +1100
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  Merry Christmas and a great 2013...

> I know it's kinda late but, would you be able to indulge at all?? I used
> to get quite a chuckle out of it.

Glenn,

it's not in my 'drafts', so, in the interim, I hope you'll get a chuckle
(totally unrelated) from what I found so far:

---
What If Dr. Seuss Wrote Technical Manuals?

A Grandchild's Guide to Using Grandpa's Computer

Bits Bytes Chips Clocks
Bits in bytes on chips in box.
Bytes with bits and chips with clocks.
Chips in box on ether-docks.

Chips with bits come. Chips with bytes come.
Chips with bits and bytes and clocks come.

Look, sir. Look, sir. read the book, sir.
Let's do tricks with bits and bytes, sir.
Let's do tricks with chips and clocks, sir.

First, I'll make a quick trick bit stack.
Then I'll make a quick trick byte stack.
You can make a quick trick chip stack.
You can make a quick trick clock stack.

And here's a new trick on the scene.
Bits in bytes for your machine.
Bytes in words to fill your screen.

Now we come to ticks and tocks, sir.
Try to say this by the clock, sir.

Clocks on chips tick.
Clocks on chips tock.
Eight byte bits tick.
Eight bit bytes tock.
Clocks on chips with eight bit bytes tick.
Chips with clocks and eight byte bits tock.

Here's an easy game to play.
Here's an easy thing to say....

If a packet hits a pocket on a socket on a port,
And the bus is interrupted as a very last resort,
And the address of the memory makes your floppy disk abort,
Then the socket packet pocket has an error to report!

If your cursor finds a menu item followed by a dash,
And the double-clicking icon puts your window in the trash,
And your data is corrupted 'cause the index doesn't hash,
Then your situation's hopeless, and your system's gonna crash!

You can't say this? What a shame sir!
We'll find you another game sir.

If the label on the cable on the table at your house,
Says the network is connected to the button on your mouse,
But your packets want to tunnel on another protocol,
That's repeatedly rejected by the printer down the hall,
And your screen is all distorted by the side effects of gauss
So your icons in the window are as wavy as a souse,
Then you may as well reboot and go out with a bang,
'Cause as sure as I'm a poet, the sucker's gonna hang!

When the copy of your floppy's getting sloppy on the disk,
And the microcode instructions cause unnecessary RISC,
Then you have to flash your memory and you'll want to RAM your ROM.
Quickly turn off the computer and be sure to tell your mom!

Copyright © 1995 by Gene Ziegler.

-- 
Voytek

--------------------------------------------------
 
**= Email   4 ==========================**

Date:  Sun, 06 Jan 2013 09:19:37 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Merry Christmas and a great 2013...

On 06/01/13 09:03, Voytek Eymont wrote:
> What If Dr. Seuss Wrote Technical Manuals?
>
> A Grandchild's Guide to Using Grandpa's Computer

Thanks. That reminds me of something that was floating around years ago.
You've probably all seen it, but just in case ...

Knox's box is a 286.
Knox's box is hard to fix.
Fox in Socks does hacks and tricks
To fix poor Knox's box for kicks.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
===
**= Email   5 ==========================**

Date:  Sun, 6 Jan 2013 09:30:26 +1100
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:   PC Merry Christmas and a great 2013...

Dear friends, acquaintances, and, strangers that might not know me or are
not known by me

and, specifically, to all OS/2 users, past future and present, as well as
to all users of other operating systems, lesser and greater.

Best wishes for an environmentally conscious, socially responsible,
stress, non-addictive, gender neutral, seasonal solstice holiday,
practiced within the most joyous traditions of the religious persuasion
of your choice, but with respect for the religious persuasion of others
who choose to practice their own religion as well as those who choose
not to practice a religion at all;

plus

a fiscally successful, personally fulfilling, and medically
uncomplicated recognition of the generally accepted calendar year 2013,
but not without due respect for the calendars of choice of other cultures
whose contributions have helped make our society great, without regard to
the race, creed, colour, religious, or sexual preferences of the wishes.

(Disclaimer:
This greeting is subject to clarification or withdrawal.
It implies no promise by the wisher to actually implement any of the
wishes for her/himself or others and no responsibility for any
unintended emotional stress these greetings may bring to those not
caught up in the holiday spirit.)

-- 
Voytek

Merry Christmas !!!
Happy New Year !!!

If you wish to be excluded from future goodwill wishes, you have the right
to ignore any further wishes, even so, you will be included in any and all
future greetings.

--------------------------------------------------
 
**= Email   6 ==========================**

Date:  Sun, 06 Jan 2013 18:35:34 +1100
From:  Andrew MacIntyre <andymac at bullseye.apana dot org dot au>
Subject:  Re:  Firefox problem

On 04/01/13 23:43, Peter Moylan wrote:
> My feeling, though, is that this is a Google problem rather than a
> plugin problem. It used to happen only with Google Maps. Now it also
> happens on a Google search page, and there are lots and lots of
> non-Google pages where it doesn't happen.

Peter,

it probably doesn't help you, but I just tested right mouse clicking in 
Google Maps and a Google search results page with Firefox 10.0.11 
without seeing the behaviour you're seeing.  The only extension 
installed is NoScript.

I have in the past run into issues (not specific to OS/2) with cached 
javascript files when using Google Maps, although this more frequently 
seems to affect IE.

Cheers,
Andrew.

-- 
-------------------------------------------------------------------------
Andrew I MacIntyre                     "These thoughts are mine alone..."
E-mail: andymac at bullseye.apana dot org dot au  (pref) | Snail: PO Box 370
        andymac at pcug dot org dot au             (alt) |        Belconnen ACT 2616
Web:    http://www.andymac dot org/               |        Australia
--------------------------------------------------
 
===
**= Email   7 ==========================**

Date:  Sun, 06 Jan 2013 21:01:24 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Firefox problem

On 06/01/13 18:35, Andrew MacIntyre wrote:
> On 04/01/13 23:43, Peter Moylan wrote:
>> My feeling, though, is that this is a Google problem rather than a
>> plugin problem. It used to happen only with Google Maps. Now it also
>> happens on a Google search page, and there are lots and lots of
>> non-Google pages where it doesn't happen.
>
> Peter,
>
> it probably doesn't help you, but I just tested right mouse clicking
> in Google Maps and a Google search results page with Firefox 10.0.11
> without seeing the behaviour you're seeing.  The only extension
> installed is NoScript.
>
> I have in the past run into issues (not specific to OS/2) with cached
> javascript files when using Google Maps, although this more frequently
> seems to affect IE.
>
>

Actually, it helped enormously. From a few tests I've just done, it
appears that Javascript is the problem.

I tried disabling Javascript, and my right-click bug went away. But of
course that completely disabled Google Maps, which I need because I'm
planning a holiday. So I enabled it again, but disabled the option
"allow scripts to disable or replace context menus". Touch head, it does
appeared to have stopped the crashes.

The swap file grows a fair bit when I used Google Maps, but that was
always the case.

Thank you. Putting restrictions on Javascript seems to have fixed my
original problem.

I have quite a few addons, as it happens, but the ones I have have shown
themselves to be pretty trustworthy. (Of course I'd already done the
obvious test of disabling all of them to see whether it cured the bug.)

    AdBlock Plus, for getting rid of unwanted ads
    Collusion, to tell me which sites I visit are setting
         information for other sites. The results are
         pretty frightening, so I might have to disable it
         for my peace of mind.
    Australian dictionary (needed more for Thunderbird
         than for Firefox)
    FireFTP (at the moment, the easiest way to move
         files around my home network, but maybe I should
         to back to a pure FTP method)
    LastPass (password manager, highly recommended
         if you need to coordinate passwords across multiple
         computers)
    XMarks (the same thing for bookmarks; really
         helpful in my opinion)
    Password Exporter (now why did I want that? It must
         have been for moving settings from one machine
         to another, but in fact LastPass does that well
         enough. I'd better disable Password Exporter.)
    Redirect Cleaner.

It's that last one I really wanted Firefox 10 for. It speeds up web
browsing by stripping some information by which Google tracks your browsing.

Anyway, that's a side issue. The important thing is that Firefox is no
longer crashing. Thanks again.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
===
**= Email   8 ==========================**

Date:  Sun, 06 Jan 2013 21:51:03 +1100
From:  dennis Nolan <dennis at jeg-og dot com>
Subject:  Re:  Firefox problem

Hi
Have you excluded a faulty mouse button, if the right mouse button is 
triggering multiple click events, js will cause mayhem.

Dennis.

On 6/01/2013 9:01 PM, Peter Moylan wrote:
> On 06/01/13 18:35, Andrew MacIntyre wrote:
>> On 04/01/13 23:43, Peter Moylan wrote:
>>> My feeling, though, is that this is a Google problem rather than a
>>> plugin problem. It used to happen only with Google Maps. Now it also
>>> happens on a Google search page, and there are lots and lots of
>>> non-Google pages where it doesn't happen.
>> Peter,
>>
>> it probably doesn't help you, but I just tested right mouse clicking
>> in Google Maps and a Google search results page with Firefox 10.0.11
>> without seeing the behaviour you're seeing.  The only extension
>> installed is NoScript.
>>
>> I have in the past run into issues (not specific to OS/2) with cached
>> javascript files when using Google Maps, although this more frequently
>> seems to affect IE.
>>
>>
> Actually, it helped enormously. From a few tests I've just done, it
> appears that Javascript is the problem.
>
> I tried disabling Javascript, and my right-click bug went away. But of
> course that completely disabled Google Maps, which I need because I'm
> planning a holiday. So I enabled it again, but disabled the option
> "allow scripts to disable or replace context menus". Touch head, it does
> appeared to have stopped the crashes.
>
> The swap file grows a fair bit when I used Google Maps, but that was
> always the case.
>
> Thank you. Putting restrictions on Javascript seems to have fixed my
> original problem.
>
> I have quite a few addons, as it happens, but the ones I have have shown
> themselves to be pretty trustworthy. (Of course I'd already done the
> obvious test of disabling all of them to see whether it cured the bug.)
>
>      AdBlock Plus, for getting rid of unwanted ads
>      Collusion, to tell me which sites I visit are setting
>           information for other sites. The results are
>           pretty frightening, so I might have to disable it
>           for my peace of mind.
>      Australian dictionary (needed more for Thunderbird
>           than for Firefox)
>      FireFTP (at the moment, the easiest way to move
>           files around my home network, but maybe I should
>           to back to a pure FTP method)
>      LastPass (password manager, highly recommended
>           if you need to coordinate passwords across multiple
>           computers)
>      XMarks (the same thing for bookmarks; really
>           helpful in my opinion)
>      Password Exporter (now why did I want that? It must
>           have been for moving settings from one machine
>           to another, but in fact LastPass does that well
>           enough. I'd better disable Password Exporter.)
>      Redirect Cleaner.
>
> It's that last one I really wanted Firefox 10 for. It speeds up web
> browsing by stripping some information by which Google tracks your browsing.
>
> Anyway, that's a side issue. The important thing is that Firefox is no
> longer crashing. Thanks again.
>

--------------------------------------------------
 
===